curl --request PATCH \
--url https://api.bey.dev/v1/agents/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Jarvis",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"system_prompt": "You are a helpful assistant.",
"language": "en",
"greeting": "Hello!",
"max_session_length_minutes": 30,
"capabilities": [
{
"type": "webcam_vision"
},
{
"triggers": [
"hey agent",
"hi pal"
],
"type": "wakeup_mode"
}
],
"llm": {
"type": "openai"
},
"tts": {
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
},
"knowledge_file_ids": [
"<string>"
]
}
'import requests
url = "https://api.bey.dev/v1/agents/{id}"
payload = {
"name": "Jarvis",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"system_prompt": "You are a helpful assistant.",
"language": "en",
"greeting": "Hello!",
"max_session_length_minutes": 30,
"capabilities": [
{ "type": "webcam_vision" },
{
"triggers": ["hey agent", "hi pal"],
"type": "wakeup_mode"
}
],
"llm": { "type": "openai" },
"tts": {
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
},
"knowledge_file_ids": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jarvis',
avatar_id: '01234567-89ab-cdef-0123-456789abcdef',
system_prompt: 'You are a helpful assistant.',
language: 'en',
greeting: 'Hello!',
max_session_length_minutes: 30,
capabilities: [
{type: 'webcam_vision'},
{triggers: ['hey agent', 'hi pal'], type: 'wakeup_mode'}
],
llm: {type: 'openai'},
tts: {type: 'elevenlabs', voice: '21m00Tcm4TlvDq8ikWAM'},
knowledge_file_ids: ['<string>']
})
};
fetch('https://api.bey.dev/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Update Agent
Update an existing agent.
Only the fields present in the request body are changed; omitted fields keep their current values.
curl --request PATCH \
--url https://api.bey.dev/v1/agents/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Jarvis",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"system_prompt": "You are a helpful assistant.",
"language": "en",
"greeting": "Hello!",
"max_session_length_minutes": 30,
"capabilities": [
{
"type": "webcam_vision"
},
{
"triggers": [
"hey agent",
"hi pal"
],
"type": "wakeup_mode"
}
],
"llm": {
"type": "openai"
},
"tts": {
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
},
"knowledge_file_ids": [
"<string>"
]
}
'import requests
url = "https://api.bey.dev/v1/agents/{id}"
payload = {
"name": "Jarvis",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"system_prompt": "You are a helpful assistant.",
"language": "en",
"greeting": "Hello!",
"max_session_length_minutes": 30,
"capabilities": [
{ "type": "webcam_vision" },
{
"triggers": ["hey agent", "hi pal"],
"type": "wakeup_mode"
}
],
"llm": { "type": "openai" },
"tts": {
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
},
"knowledge_file_ids": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jarvis',
avatar_id: '01234567-89ab-cdef-0123-456789abcdef',
system_prompt: 'You are a helpful assistant.',
language: 'en',
greeting: 'Hello!',
max_session_length_minutes: 30,
capabilities: [
{type: 'webcam_vision'},
{triggers: ['hey agent', 'hi pal'], type: 'wakeup_mode'}
],
llm: {type: 'openai'},
tts: {type: 'elevenlabs', voice: '21m00Tcm4TlvDq8ikWAM'},
knowledge_file_ids: ['<string>']
})
};
fetch('https://api.bey.dev/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Your Beyond Presence API Key.
Path Parameters
Agent ID.
Body
Request body to update an agent. Omitted fields are unchanged.
Display name to use. Also used when addressed in conversations.
1 - 100"Jarvis"
"HAL 9000"
ID of avatar to use.
1 - 100"01234567-89ab-cdef-0123-456789abcdef"
System prompt to use.
1 - 10000"You are a helpful assistant."
Language to use.
ar, ar-SA, bn, bg, zh, cs, da, nl, en, en-AU, en-GB, en-US, fi, fr, fr-CA, fr-FR, de, el, hi, hu, id, it, ja, kk, ko, ms, no, pl, pt, pt-BR, pt-PT, ro, ru, sk, es, sv, tr, uk, ur, vi "en"
What to say when a call starts.
1 - 1000"Hello!"
Maximum session length in minutes.
0 < x <= 9030
Extra capabilities to manage calls.
Agent capability to see user camera feed.
- WebcamVisionAgentCapability
- WakeupModeAgentCapability
Show child attributes
Show child attributes
[ { "type": "webcam_vision" }, { "triggers": ["hey agent", "hi pal"], "type": "wakeup_mode" } ]
Configuration for LLM to use.
- LivekitAgentLlm
- OpenaiAgentLlm
- OpenaiCompatibleAgentLlm
- ElevenlabsAgentLlm
Show child attributes
Show child attributes
{ "type": "openai" }
Configuration for TTS to use.
- LivekitAgentTts
- CartesiaAgentTts
- ElevenlabsAgentTts
- DeepgramAgentTts
- OpenaiAgentTts
- GoogleAgentTts
Show child attributes
Show child attributes
{ "type": "elevenlabs", "voice": "21m00Tcm4TlvDq8ikWAM" }
IDs of knowledge files to refer to.
1Response
Successful Update
Was this page helpful?